pcl::IFSWriter Class Reference
Module io

Point Cloud Data (IFS) file format writer. More...

`#include <pcl/io/ifs_io.h>`

## Public Member Functions

| IFSWriter ()
| ~IFSWriter ()
int | write (const std::string &file_name, const pcl::PCLPointCloud2 &cloud, const std::string &cloud_name="cloud")
| Save point cloud data to an IFS file containing 3D points. More...
template<typename PointT >
int | write (const std::string &file_name, const pcl::PointCloud< PointT > &cloud, const std::string &cloud_name="cloud")
| Save point cloud data to an IFS file containing 3D points. More...

## Detailed Description

Point Cloud Data (IFS) file format writer.

Author
  Nizar Sallem

Definition at line 144 of file ifs_io.h.

## Constructor & Destructor Documentation

## IFSWriter()

pcl::IFSWriter::IFSWriter | ( |  | ) |

inline

Definition at line 147 of file ifs_io.h.

## ~IFSWriter()

pcl::IFSWriter::~IFSWriter | ( |  | ) |

inline

Definition at line 148 of file ifs_io.h.

References pcl::write().

## Member Function Documentation

## write() [1/2]

int pcl::IFSWriter::write | ( | const std::string & | file_name,
|  | const pcl::PCLPointCloud2 & | cloud,
|  | const std::string & | cloud_name = `"cloud"`
| ) |  |

Save point cloud data to an IFS file containing 3D points.

Parameters

  [in] | file_name | the output file name
  [in] | cloud | the point cloud data
  [in] | cloud_name | the point cloud name to be stored inside the IFS file.

Returns
  - 0 on success
  - < 0 on error

Referenced by pcl::io::saveIFSFile().

## write() [2/2]

template<typename PointT >

int pcl::IFSWriter::write | ( | const std::string & | file_name,
|  | const pcl::PointCloud< PointT > & | cloud,
|  | const std::string & | cloud_name = `"cloud"`
| ) |  |

inline

Save point cloud data to an IFS file containing 3D points.

Parameters

  [in] | file_name | the output file name
  [in] | cloud | the point cloud
  [in] | cloud_name | the point cloud name to be stored inside the IFS file.

Returns
  - 0 on success
  - < 0 on error

Definition at line 173 of file ifs_io.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/io/ifs_io.h